# Million Community Projects

{% hint style="warning" %}
Features aren't implemented yet. Next release will come soon !
{% endhint %}

## Community projects List

<mark style="color:blue;">`GET`</mark> `https://api.millioncloud.org/community-projects`

List all the community projects referenced by MillionTokenCloud.\
Want to add your project to the list ? A form will be made.

#### Query Parameters

| Name      | Type  | Description                              |
| --------- | ----- | ---------------------------------------- |
| tags\_but | array | List projects that don't have this tags. |
| tags      | array | Used to filter projects by tags.         |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
[{    
    "id": "x19y2ue2a0jc",
    "url": "https://milliontoken.cloud",
    "name": "milliontoken.cloud",
    "name_slug": "milliontoken-cloud",
    "description-short": "Provide resources and APIs endpoints for the MM Community.",
    "description": "Provide resources and APIs endpoints for the MM Community.",    
    "date_added_at": "2021-09-11",
    "date_edited_at": "2021-09-11",
    "tags": [
        "api",
        "data",
        "documentation"
    ],
    "social-links": {
        "twitter": "",
        "facebook": "",
        "reddit": "",
        "medium": "",
        "instagram": "",
        "pinterest": "",
        "discord": "",
        "telegram": "",
        "tumblr": ""
    }
}]
```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```
{ "message": "No community projects found." }
```

{% endtab %}
{% endtabs %}

## Community project by ID

<mark style="color:blue;">`GET`</mark> `https://api.millioncloud.org/community-projects/:id`

#### Path Parameters

| Name | Type   | Description                    |
| ---- | ------ | ------------------------------ |
| id   | string | Get a community project by ID. |

{% tabs %}
{% tab title="200 " %}

```
{    
    "id": "x19y2ue2a0jc",
    "url": "https://milliontoken.cloud",
    "name": "milliontoken.cloud",
    "name_slug": "milliontoken-cloud",
    "description-short": "Provide resources and APIs endpoints for the MM Community.",
    "description": "Provide resources and APIs endpoints for the MM Community.",    
    "date_added_at": "2021-09-11",
    "date_edited_at": "2021-09-11",
    "tags": [
        "api",
        "data",
        "documentation"
    ],
    "social-links": {
        "twitter": "",
        "facebook": "",
        "reddit": "",
        "medium": "",
        "instagram": "",
        "pinterest": "",
        "discord": "",
        "telegram": "",
        "tumblr": ""
    }
}
```

{% endtab %}
{% endtabs %}

## Community project by Slug

<mark style="color:blue;">`GET`</mark> `https://api.millioncloud.org/community-projects/:slug`

#### Path Parameters

| Name | Type   | Description                      |
| ---- | ------ | -------------------------------- |
| slug | string | Get a community project by slug. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

<mark style="color:blue;">`GET`</mark> `https://api.millioncloud.org/community-projects/:id`

#### Path Parameters

| Name | Type   | Description                    |
| ---- | ------ | ------------------------------ |
| id   | string | Get a community project by ID. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.millioncloud.org/public-api/million-community-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
